## evolution-ews 3.2.1

=== debian/changelog ===
evolution-ews (3.2.1-1) experimental; urgency=low

  * Initial release. Closes: #648435.
  * 01_deprecated.patch: don’t use *_DISABLE_DEPRECATED macros.
  * 02_liblzx_noinst.patch: make liblzx a private library, there is no 
    point in installing it.
  * Use dh-autoreconf.
  * Remove useless .la files.

 -- Josselin Mouette <joss@debian.org>  Fri, 11 Nov 2011 15:45:04 +0100
