## evolution-ews 3.2.2

=== debian/changelog ===
evolution-ews (3.2.2-1) unstable; urgency=low

  * New upstream release.
  * 10_none_server.patch, 11_deleted_inbox.patch, 12_prefill_host.patch, 
    13_autodiscover.patch, 14_exchange_bizarre.patch, 
    15_contact_crash.patch: bug fixes from 3.2 upstream git.

 -- Josselin Mouette <joss@debian.org>  Fri, 16 Dec 2011 20:51:53 +0100
