=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/evolution-ews/([\d\.]+)[02468]/evolution-ews-([\d\.]+)\.tar\.xz	debian	uupdate
