## evolution-ews 3.4.4

=== debian/changelog ===
evolution-ews (3.4.4-2) stable; urgency=low

  * 01_freebusy.patch: patch from upstream git. Fix free/busy indicators 
    with Exhange 2013 servers.

 -- Josselin Mouette <joss@debian.org>  Fri, 11 Apr 2014 15:30:48 +0200

evolution-ews (3.4.4-1) unstable; urgency=low

  * New upstream bugfix release (closes: #681802). 

 -- Jordi Mallach <jordi@debian.org>  Sun, 21 Oct 2012 13:00:41 +0200

evolution-ews (3.4.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Jun 2012 00:26:10 +0200

evolution-ews (3.4.2-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
  * Drop all patches except 02_liblzx_noinst.patch; they have
    been applied in the new upsteam release.

  [ Jordi Mallach ]
  * Bump to debhelper compat v9.
  * Update evolution dependency to 3.4.
  * Bump all evo build-deps to >= 3.4.0, as per configure.ac.
  * Fix watch file regexp.
  * Include util.mk and use the list-missing rule.

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Jun 2012 16:58:14 +0200

evolution-ews (3.2.2-2) unstable; urgency=low

  * Add myself to Uploaders.
  * Do not build with -Werror, to work around a FTBFS caused by new
    deprecated functions when building with GLib 2.32 (closes: #665669).
  * Add 03_individual_glib_headers.patch to fix FTBFS caused by the
    deprecation of individual GLib headers.
  * watch: do not uupdate.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.3, with no further changes.
  * Add DEP3 patch headers.

 -- Jordi Mallach <jordi@debian.org>  Wed, 28 Mar 2012 19:45:20 +0200
