## evolution-ews 3.6.0

=== debian/changelog ===
evolution-ews (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * debian/control:
    - Update evolution dependencies to 3.6

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 24 Sep 2012 09:49:23 +1200

evolution-ews (3.5.92-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 17 Sep 2012 10:20:37 +1200

evolution-ews (3.5.91-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Sun, 02 Sep 2012 15:18:38 +1200

evolution-ews (3.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 22 Aug 2012 23:14:14 -0400

evolution-ews (3.5.5-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 07 Aug 2012 12:36:23 -0400

evolution-ews (3.5.3-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Build-Depends for eds/evo 3.5.
    - Drop Build-Depends on libgconf2-dev.
    - Update evolution-ews Depends to that it's installable and doesn't require
      evolution << 3.5; use >= 3.5.3, << 3.6 instead.
  * debian/patches/02_liblzx_noinst.patch: refreshed.
  * debian/patches/makefile_aclocal_amflags.patch: add ACLOCAL_AMFLAGS to top
    Makefile.am; as suggested by libtoolize -- unbreaks build.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 06 Jul 2012 00:27:26 -0400
