## evolution-ews 3.6.1

=== debian/changelog ===
evolution-ews (3.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 15 Nov 2012 11:36:10 +1300

evolution-ews (3.6.0-1) experimental; urgency=low

  * New upstream release.
  * Update build-depends as per configure.ac and drop libgconf2-dev.
  * Require evolution 3.6.
  * Add 01_aclocal_amflags.patch to fix build due to missing Kerberos5
    macros.
  * Refresh 02_liblzx_noinst.patch.
  * Pass --enable-gtk-doc and --with-krb5 to configure.

 -- Jordi Mallach <jordi@debian.org>  Tue, 23 Oct 2012 17:34:14 +0200
