=== debian/control ===
Source: evolution-ews
Section: gnome
Priority: optional
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Uploaders: Heikki Henriksen <heikkih@gmail.com>,
           Lawrence Walton <lawrence@the-penguin.otak.com>,
           Loic Minier <lool@dooz.org>,
           Oystein Gisnas <oystein@gisnas.net>,
           Jordi Mallach <jordi@debian.org>,
           Josselin Mouette <joss@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>,
           David Weinehall <tao@debian.org>
Standards-Version: 3.9.3
Dm-Upload-Allowed: yes
Homepage: http://www.gnome.org/projects/evolution/
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-evolution/unstable/evolution-ews
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-evolution/unstable/evolution-ews
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.14.16),
               dh-autoreconf,
               cdbs (>= 0.4.37),
               gnome-pkg-tools,
               gtk-doc-tools (>= 1.9),
               evolution-dev (>= 3.6),
               evolution-data-server-dev (>= 3.6),
               libcamel1.2-dev (>= 3.6),
               libedataserver1.2-dev (>= 3.6),
               libedataserverui-3.0-dev (>= 3.6),
               libebackend1.2-dev (>= 3.6),
               libecal1.2-dev (>= 3.6),
               libedata-cal1.2-dev (>= 3.6),
               libebook1.2-dev (>= 3.6),
               libedata-book1.2-dev (>= 3.6),
               libglib2.0-dev (>= 2.28),
               libgtk-3-dev (>= 3.0),
               libical-dev,
               libkrb5-dev,
               libsoup2.4-dev (>= 2.30),
               intltool (>= 0.35.5),
               libsqlite3-dev,
               pkg-config,

Package: evolution-ews
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         evolution (>= 3.6),
         evolution (<< 3.7)
Description: Exchange Web Services integration for Evolution
 This package allows the Evolution mail and groupware suite to connect 
 to Microsoft Exchange servers using the Exchange Web Services interface.
 .
 It works in a very similar way to the Evolution Exchange connector, but 
 it supports the Exchange 2007 version.
