=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act
 
+DEB_CONFIGURE_EXTRA_FLAGS += --with-krb5 \
+			     --enable-gtk-doc
+
 binary-install/evolution-ews::
 	find debian/evolution-ews -name \*.la -delete
