## evolution-ews 3.8.4

=== debian/changelog ===
evolution-ews (3.8.4-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/rules: Explicitly build with internal lzx since
    libmspack hasn't been packaged yet (See Debian #675556)
  * 02_liblzx_noinst.patch: Dropped, no longer necessary

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Jul 2013 18:49:27 -0400

evolution-ews (3.8.2-0ubuntu2) saucy; urgency=low

  * Build against libical 1.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Jun 2013 13:23:52 +0100

evolution-ews (3.8.2-0ubuntu1) saucy; urgency=low

  * New upstream release
  * debian/control:
    - Drop libedataserverui-3.0-dev BD
    - Bump eds deps to 3.8              
    - Bump evolution requirement to 3.8

 -- Iain Lane <iain.lane@canonical.com>  Wed, 29 May 2013 13:45:28 +0100
