## evolution-ews 3.8.5

=== debian/changelog ===
evolution-ews (3.8.5-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 19 Sep 2013 14:24:49 +0200

evolution-ews (3.8.5-1) experimental; urgency=low

  * Team upload.

  [ Jeremy Bicha ]
  * New upstream release.
  * debian/control:
    - Drop libedataserverui-3.0-dev BD
    - Update dependencies
  * debian/rules: Explicitly build with internal lzx since
    libmspack hasn't been packaged yet (See Debian #675556)
  * debian/patches/02_liblzx_noinst.patch: Dropped, no longer necessary

  [ Michael Biebl ]
  * Drop obsolete Dm-Upload-Allowed field.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Add a lintian override for the rpath issue which is a result of linking
    against the evolution libraries (which are not supposed to be real system
    libraries).

 -- Michael Biebl <biebl@debian.org>  Sat, 07 Sep 2013 22:00:58 +0200
