## evolution-ews 3.10.2

=== debian/changelog ===
evolution-ews (3.10.2-0ubuntu2) trusty; urgency=low

  * Fix binary dependencies to require 3.10 

 -- Iain Lane <iain.lane@canonical.com>  Thu, 21 Nov 2013 09:13:36 +0000

evolution-ews (3.10.2-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Add patch to require evo 3.10, not our exact upstream version
  * Update build-dep versions

 -- Iain Lane <iain.lane@canonical.com>  Wed, 20 Nov 2013 17:32:04 +0000

evolution-ews (3.8.5-2ubuntu1) trusty; urgency=low

  * Relax evolution build-dependencies since we have 3.8.4 and not 3.8.5.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 03 Nov 2013 20:06:48 +0400
