=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: evolution-ews
 Section: gnome
 Priority: optional
-Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
 Uploaders: Heikki Henriksen <heikkih@gmail.com>,
            Lawrence Walton <lawrence@the-penguin.otak.com>,
            Loic Minier <lool@dooz.org>,
@@ -20,15 +21,15 @@
                cdbs (>= 0.4.37),
                gnome-pkg-tools,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.8.5),
-               evolution-data-server-dev (>= 3.8.5),
-               libcamel1.2-dev (>= 3.8.5),
-               libedataserver1.2-dev (>= 3.8.5),
-               libebackend1.2-dev (>= 3.8.5),
-               libecal1.2-dev (>= 3.8.5),
-               libedata-cal1.2-dev (>= 3.8.5),
-               libebook1.2-dev (>= 3.8.5),
-               libedata-book1.2-dev (>= 3.8.5),
+               evolution-dev (>= 3.10),
+               evolution-data-server-dev (>= 3.10),
+               libcamel1.2-dev (>= 3.10),
+               libedataserver1.2-dev (>= 3.10),
+               libebackend1.2-dev (>= 3.10),
+               libecal1.2-dev (>= 3.10),
+               libedata-cal1.2-dev (>= 3.10),
+               libebook1.2-dev (>= 3.10),
+               libedata-book1.2-dev (>= 3.10),
                libglib2.0-dev (>= 2.32),
                libgtk-3-dev (>= 3.0),
                libical-dev,
@@ -42,8 +43,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         evolution (>= 3.8.5),
-         evolution (<< 3.9)
+         evolution (>= 3.10),
+         evolution (<< 3.11)
 Description: Exchange Web Services integration for Evolution
  This package allows the Evolution mail and groupware suite to connect 
  to Microsoft Exchange servers using the Exchange Web Services interface.
