=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act
 
 DEB_CONFIGURE_EXTRA_FLAGS += --with-krb5 \
-			     --enable-gtk-doc
+			     --enable-gtk-doc \
+			     --with-internal-lzx
 
 binary-install/evolution-ews::
 	find debian/evolution-ews -name \*.la -delete
