## evolution-ews 3.12.7

=== debian/changelog ===
evolution-ews (3.12.7-1) unstable; urgency=medium

  * Make sure to not build with -Bsymbolic-functions in LDFLAGS - this causes
    evolution to hang. (See bgo#594473 for details)
  * New upstream release 3.12.7
  * debian/control: Bump Standards-Version to 3.9.6, no changes required
  * debian/control: Bump e-d-s/evo BDs to >= 3.12.7, per configure.ac

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 13 Oct 2014 15:42:02 +0100

evolution-ews (3.12.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump e-d-s BDs to >= 3.12.6

 -- Iain Lane <laney@debian.org>  Wed, 17 Sep 2014 17:17:59 +0100

evolution-ews (3.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Bump e-d-s build dependencies to >= 3.12.1.
  * Update Homepage URL.

 -- Jordi Mallach <jordi@debian.org>  Sat, 26 Apr 2014 14:25:26 +0200

evolution-ews (3.12.0-1) experimental; urgency=low

  * Team upload.

  [ Yves-Alexis Perez ]
  * Remove myself from uploaders, this should have been done a long time
    ago.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * debian/patches/01_aclocal_amflags.patch:
    + Removed, fixed upstream.
  * debian/control:
    + Bump libsoup build dependency.
    + Bump evolution and e-d-s requirements for 3.12.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 28 Mar 2014 13:36:33 +0100
