## evolution-ews 3.12.9~git20141130.278fe7

=== debian/changelog ===
evolution-ews (3.12.9~git20141130.278fe7-1) unstable; urgency=medium

  * New upstream git snapshot from stable branch, includes only bugfixes 
    and translations.
  * Update evolution and e-d-s build-dependencies to 3.12.9~.
  * Require libmspack and stop building with the embedded code copy.

 -- Josselin Mouette <joss@debian.org>  Mon, 01 Dec 2014 12:49:49 +0100
