=== debian/control ===
--- 
+++ 
@@ -19,18 +19,19 @@
                cdbs (>= 0.4.37),
                gnome-pkg-tools,
                gtk-doc-tools (>= 1.9),
-               evolution-dev (>= 3.12.7),
-               evolution-data-server-dev (>= 3.12.7),
-               libcamel1.2-dev (>= 3.12.7),
-               libedataserver1.2-dev (>= 3.12.7),
-               libebackend1.2-dev (>= 3.12.7),
-               libecal1.2-dev (>= 3.12.7),
-               libedata-cal1.2-dev (>= 3.12.7),
-               libebook1.2-dev (>= 3.12.7),
-               libedata-book1.2-dev (>= 3.12.7),
+               evolution-dev (>= 3.12.9~),
+               evolution-data-server-dev (>= 3.12.9~),
+               libcamel1.2-dev (>= 3.12.9~),
+               libedataserver1.2-dev (>= 3.12.9~),
+               libebackend1.2-dev (>= 3.12.9~),
+               libecal1.2-dev (>= 3.12.9~),
+               libedata-cal1.2-dev (>= 3.12.9~),
+               libebook1.2-dev (>= 3.12.9~),
+               libedata-book1.2-dev (>= 3.12.9~),
                libglib2.0-dev (>= 2.32),
                libgtk-3-dev (>= 3.0),
                libical-dev,
+               libmspack-dev (>= 0.4),
                libkrb5-dev,
                libsoup2.4-dev (>= 2.42),
                intltool (>= 0.35.5),
