=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,13 @@
 
 DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act
 
+# see https://bugzilla.gnome.org/show_bug.cgi?id=594473 for details
+ifneq (,$(LDFLAGS))
+  LDFLAGS := $(filter-out %-Bsymbolic-functions,$(LDFLAGS))
+endif
+
 DEB_CONFIGURE_EXTRA_FLAGS += --with-krb5 \
-			     --enable-gtk-doc \
-			     --with-internal-lzx
+			     --enable-gtk-doc
 
 binary-install/evolution-ews::
 	find debian/evolution-ews -name \*.la -delete
